variable "service_name" {
  type        = string
  description = "Name of the service"
  default     = "storage"
}

variable "server_dns" {
  type        = string
  description = "Domain for the server"
}

variable "admin_server_dns" {
  type        = string
  description = "Domain for the admin server"
  default     = null
}

variable "k8s_config_yaml" {
  description = "Content of the k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "mode" {
  description = "Mode for the Minio server"
  type        = string
  default     = "standalone"
}

variable "replicas" {
  description = "Number of replicas for the Minio server"
  type        = number
  default     = 1
}

variable "admin" {
  description = "Enable admin interface"
  type        = bool
  default     = false
}

variable "tls" {
  description = "Enable TLS"
  type        = bool
  default     = false
}

variable "ingressClass" {
  description = "Ingress class to use"
  type        = string
  default     = "nginx"
}

variable "storageSize" {
  type    = string
  default = "6Gi"
}

variable "displayOnHomepage" {
  type    = bool
  default = false
}
